<?php
$palabras = [
    "humanidad",
    "humano",
    "persona",
    "gente",
    "hombre",
    "mujer",
    "bebe",
    "niño",
    "adolescente",
    "adulto",
    "anciano",
    "doña",
    "señora",
    "caballero",
    "dama",
    "individuo",
    "criatura",
    "especie",
    "ser",
    "vida",
    "nacimiento",
    "reproduccion",
    "muerte"
];
$palabra = "";
$letras = "";
$fallos = 0;
$hasganado = 0;
if (isset($_GET['nuevo']) && $_GET['nuevo'] == 1) {
    $palabra = strtolower($palabras[rand(0, count($palabras) - 1)]);
} else {
    if (isset($_POST['palabra'])) {
        $palabra = strtolower(base64_decode($_POST['palabra']));
        $letras = $_POST['letras'];
        $letras .= strtolower($_POST['letra']);
        $fallos = $_POST['fallos'];
    }
}
?>
<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>El Ahorcado</title>
</head>

<body>
    <nav>
        <a href="index.php?nuevo=1">Nueva Partida</a>
    </nav>



    <div id="palabra">
        <?php
        if (strlen($palabra) > 0) {
            $encuentraletra = 0;
            for ($k = 0; $k < strlen($palabra); $k++) {
                $coincide = false;
                for ($kk = 0; $kk < strlen($letras); $kk++) {
                    if ($palabra[$k] == $letras[$kk]) {
                        echo " " . $palabra[$k] . " ";
                        $coincide = true;
                        $hasganado++;
                        if ($kk == strlen($letras) - 1) {
                            $encuentraletra++;
                        }
                        break;
                    }
                }
                if ($coincide == false) {
                    echo " - ";
                }
            }
            if ($encuentraletra == 0 && !isset($_GET['nuevo'])) {
                $fallos++;
            }
        }
        ?>
    </div>

    <div id="dibujo">
        <?php
        if ($fallos > 0) {
        ?>
            <img src="imagenes/<?php echo $fallos; ?>.png" alt="">
        <?php
        }
        ?>

    </div>

    <div id="formulario">
        <?php
        if (($fallos < 6) && ($hasganado < strlen($palabra))) {
        ?>
            <form action="index.php" method="post">
                <input type="text" name="letra" maxlength="1" required>
                <input type="hidden" name="palabra" value="<?php echo base64_encode($palabra); ?>">
                <input type="hidden" name="letras" value="<?php echo $letras; ?>">
                <input type="hidden" name="fallos" value="<?php echo $fallos; ?>">
                <input type="submit" value="Enviar">
            </form>
        <?php
        } else if($fallos >= 6) {
            echo "<p>HAS PERDIDO!!!</p>";
        } else if($hasganado == strlen($palabra)){
            echo "<p>HAS GANADO!!!</p>";
        }
        ?>
    </div>


    <div>
        <p>LETRAS UTILIZADAS:
            <?php
            for ($k = 0; $k < strlen($letras); $k++) {
                $l = mb_substr($letras, $k, 1);
                echo $l . " ";
            }
            ?>
        </p>
    </div>
</body>

</html>